<sqtm-core-customisable-dialog
  [titleKey]="configuration.titleKey"
  [dialogId]="configuration.id"
  [attr.data-test-dialog-id]="'alert-requirement-version-description-changes'"
>
  <sqtm-core-dialog-body>
    <sqtm-core-label
      [attr.data-test-dialog-id]="
        'alert-requirement-version-description-changes-old-value-label'
      "
      [text]="
        'sqtm-core.entity.requirement.requirement-version.modification-history.old-value'
          | translate
      "
    ></sqtm-core-label>
    <div>
      <sqtm-core-editable-rich-text
        [editable]="false"
        [value]="configuration.oldValue"
        [attr.data-test-dialog-id]="
          'alert-requirement-version-description-changes-old-value'
        "
      >
      </sqtm-core-editable-rich-text>
    </div>
    <hr />
    <sqtm-core-label
      [attr.data-test-dialog-id]="
        'alert-requirement-version-description-changes-new-value-label'
      "
      [text]="
        'sqtm-core.entity.requirement.requirement-version.modification-history.new-value'
          | translate
      "
    ></sqtm-core-label>
    <div>
      <sqtm-core-editable-rich-text
        [editable]="false"
        [value]="configuration.newValue"
        [attr.data-test-dialog-id]="
          'alert-requirement-version-description-changes-new-value'
        "
      >
      </sqtm-core-editable-rich-text>
    </div>
  </sqtm-core-dialog-body>

  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'close'"
      class="flex-fixed-size ant-btn"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.close' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
